com.hazelcast.org.snakeyaml.engine.v1.tokens

## Enum Token.ID

- java.lang.Object
- - java.lang.Enum<Token.ID>
  - - com.hazelcast.org.snakeyaml.engine.v1.tokens.Token.ID

- All Implemented Interfaces:
    Serializable, Comparable<Token.ID>
  Enclosing class:
    Token

      public static enum Token.ID
      extends Enum<Token.ID>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Alias`
    `Anchor`
    `BlockEnd`
    `BlockEntry`
    `BlockMappingStart`
    `BlockSequenceStart`
    `Directive`
    `DocumentEnd`
    `DocumentStart`
    `FlowEntry`
    `FlowMappingEnd`
    `FlowMappingStart`
    `FlowSequenceEnd`
    `FlowSequenceStart`
    `Key`
    `Scalar`
    `StreamEnd`
    `StreamStart`
    `Tag`
    `Value`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static Token.ID` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Token.ID[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Alias

          public static final Token.ID Alias

    - #### Anchor

          public static final Token.ID Anchor

    - #### BlockEnd

          public static final Token.ID BlockEnd

    - #### BlockEntry

          public static final Token.ID BlockEntry

    - #### BlockMappingStart

          public static final Token.ID BlockMappingStart

    - #### BlockSequenceStart

          public static final Token.ID BlockSequenceStart

    - #### Directive

          public static final Token.ID Directive

    - #### DocumentEnd

          public static final Token.ID DocumentEnd

    - #### DocumentStart

          public static final Token.ID DocumentStart

    - #### FlowEntry

          public static final Token.ID FlowEntry

    - #### FlowMappingEnd

          public static final Token.ID FlowMappingEnd

    - #### FlowMappingStart

          public static final Token.ID FlowMappingStart

    - #### FlowSequenceEnd

          public static final Token.ID FlowSequenceEnd

    - #### FlowSequenceStart

          public static final Token.ID FlowSequenceStart

    - #### Key

          public static final Token.ID Key

    - #### Scalar

          public static final Token.ID Scalar

    - #### StreamEnd

          public static final Token.ID StreamEnd

    - #### StreamStart

          public static final Token.ID StreamStart

    - #### Tag

          public static final Token.ID Tag

    - #### Value

          public static final Token.ID Value

  - ### Method Detail

    - #### values

          public static Token.ID[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Token.ID c : Token.ID.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Token.ID valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<Token.ID>`

Copyright © 2019. All rights reserved.